Bug 621414 - On boot of f14 USB HD install, with livinst, boot defaults to (internal f12 if present); f14 boot works correctly if NO HD installed in laptop
On boot of f14 USB HD install, with livinst, boot defaults to (internal f12 i...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 20:53 EDT by satellitgo
Modified: 2011-03-02 19:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-02 19:26:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f14 Anaconda-ks.cfg (1.09 KB, application/octet-stream)
2010-08-04 21:22 EDT, satellitgo
no flags Details

  None (edit)
Description satellitgo 2010-08-04 20:53:36 EDT
Description of problem:
*Did sucessful livinst (Anaconda)from booted soas-i386-20100803.15.iso ( Soas f14 Spin sugar-termial # )Live CD to 500GB USB external drive. 

*On reboot I do not see firstboot but get switched to f12 installed on internal HD on Netbook. 

*I reboot USB HD on Laptop with NO INTERNAL HD. I go to firstboot and sucessfully enter password and user. I can then log in correctly to F14 HD.

*Try to reboot USB HD from 2 different netbooks with f12 installs on internal HD BOTH REVERT BOOT partway into Boot to Internal HD. Not possible to Boot USB F14 HD install if Internal HD present


Version-Release number of selected component (if applicable):
see text

How reproducible:


Steps to Reproduce:
1.livinst to USB HD (use whole disk option) Completes sucessfully
2.Attempt to boot on laptop with fedora on internal HD Reverts to Internal HD
3.Attempt to boot on laptop with fedora NO internal HD Sucessful Boot to F14
  
Actual results:
switched to internal HD if present

Expected results:
Boot USB HD that I selected and started to boot to.

Additional info:
Comment 1 satellitgo 2010-08-04 21:22:32 EDT
Created attachment 436709 [details]
f14 Anaconda-ks.cfg

After successful boot in Laptop with NO HardDisk installed
Comment 2 Chris Lumens 2010-08-05 12:58:50 EDT
During installation, did you select your internal drive to be part of the installation, and did you mark it as where the bootloader should be installed to?
Comment 3 satellitgo 2010-08-05 14:22:43 EDT
It saw the internal HD (2 were listed on left side) but I selected ONLY the USB external HD and marked the 0 with a dot for the boot loader on it on the right hand side box.

This has never been a problem in f13-12-11 installs with Anaconda which I used the same procedure to select the disk to install to.

The interesting thing is that firstboot has a yellow triangle on the first password line but it works and lets me log in after it is finished. (ONLY if there is no other HD with a fedora installation on the laptop). I never get to firstboot if another HD installation is present.

After firstboot has completed, on reboot:
Boot from the External Disk starts and part way into boot is reverts to the other Internal HD if present. IF no other HS then I log in to the f14 install normally
Comment 4 satellitgo 2010-08-12 10:02:59 EDT
As a test:

1- I did a script install of Fedora-14-Alpha-RC3.1-i686-Live.iso to a 4 Gb USB.

./livecd-iso-to-disk  --format --reset-mbr --overlay-size-mb 1200 /home/xxxx/Desktop/Fedora-14-Alpha-RC3.1-i686-Live.iso /dev/sdg

2- booted 4GB live USB in EeePC900 (this netbook has f12 installed on it's internal SSD disks)

**INSTALL FROM USB TO USB**

3- Used install icon to launch livinst; installed to a 8GB firefly USB

4-Booted newly installed f14-live-RC3.1  8 GB USB ; first boot worked and I could log in.

*This bug does not appear here....or has been fixed.

I run this test again (both from a USB and from CD), installing to a USB external 120 GB HD. to verify
Comment 5 Brian Lane 2011-03-02 19:26:04 EST
If this is still a problem feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.